package oop.Generics;

public class Parent<T> {
	
	private T name;

	public Parent(T name) {
		this.name = name;
	}

	public T getName() {
		return name;
	}

	public void setName(T name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return "Parent [name=" + name + "]";
	}
	
}

class Sohn<T> extends Parent<T>{
		
	public Sohn(T name) {
		super(name);
	}
	
	
	
}
